package com.example.iot_controlhost.base;

/**
 * @Description 基本队列类
 * @Author DuanKaiji
 * @CreateTime 2023年11月16日 14:02:48
 */
public abstract class BaseQueue implements Runnable {

    /**
     * 任务优先级 默认3
     * 数字越低，优先级越高
     */
    private int priority;

    public BaseQueue() {
        this.priority = 3;
    }

    public BaseQueue(int priority) {
        this.priority = priority;
    }

    public int getPriority() {
        return priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }

}
